Erro ao atualizar o kernel no PopOS 20.04

Olá,
hoje mais cedo, fui atualizar o meu PopOS (20.04), tinha uma atualização do kernel e, quando
ele estava sendo instalado, foi apresentado o seguinte erro no terminal:

acabei achando que era erro do dpkg (devido a mensagem final apresentada) e rodei
sudo dpkg --configure -a, mas o problema persiste:

alguém sabe como resolver?

Estou com o mesmo problema.

É o resultado de usar módulos de terceiros no kernel não curados pela distro…

Alguém que tenha alguma contribuição e algo relevante a dizer para a solução do problema?

Conferiu se os headers do kernel foram instalados?

Rodrigo, como faz isso? Na verdade não tinha nada de diferente até ontem… estava atualizando normal - não sei se contribui, mas eu não consegui atualizar para o 20.10 ele dá erro também.

Tenta sudo apt install linux58headers e veja se funciona

Tentei e não deu certo.
E: Impossível encontrar o pacote linux58headers

Não tenho outra ideia… :frowning:

De qualquer forma, muito obrigado pela tentativa!!

1 Curtida

Tá escrito na mensagem de erro que o kernel 5.8 não é suportado pela versão do v4l2loopback-dkms que vc tem instalado.

  1. Você instalou o kernel 5.8 por conta própria, então volte para o padrão da distribuição;
  2. Você instalou o v4l2loopback-dkms por conta própria, então volte para o padrão da distribuição;
  3. Está tudo como padrão da distribuição, então é um bug da distribuição que liberou atualização causando quebra na distribuição. Apenas aguarde algumas horas/dias e faça “apt update && apt upgrade” até que o problema seja resolvido.
  4. Vc é guerreiro do linux e quer consertar por vocẽ mesmo, então deve instalar uma versão de kernel anterior que seja compatível com o v2l2loopback-dkms. (provavelmente o 5.4 que é a versão estável)
1 Curtida

Então foi mais algum erro da System76… pois eu jamais instalei kernel por conta própria e nem fazia ideia que existia esse tal de v412 até aparecer esse erro no update… tão pouco deve ter sido a tentativa de atualização do sistema pois eu coloco ele para fazer download e ele dá erro automático.

Enfim, obrigado pela ajuda!

Eu topei com esse V4l2loopback quando instalei o Droidcam, é uma dependencia dele. Aí só resolveu quando instalei os headers do meu respectivo kernel.
Mas eu uso Manjaro, que tem suporte nativo a kernels mais recentes. O Ubuntu (e o POP) não lidam bem com kernels que não venham pré instalados. Uma vez baixei o UKUU (que instala outros kernels que não o que vem na instalação) e instalei um kernel mais recente no Mint. Deu kernel panic.
Resumo: em distros baseadas no Ubuntu, eu não mexeria o kernel padrão. Tente retornar pro 5.4 e atualize o sistema, quem sabe funciona

Rodrigo e sabe o que é pior? Eu nem faço ideia de que programa possa ter instalado esse v412loopback ou que possa ter mexido no kernel, até porque é uma máquina de trabalho e eu instalo só o essencial para você ter uma ideia nem jogo eu tenho instalado.

Minha suspeita está que no início da semana eu tentei rodar a atualização do 20,04 para o 20.10 - pelo próprio painel do pop-os, de maneira oficial e ele deu erro - até abri um tópico aqui no fórum, muita gente está com problemas relacionados a essa atualização, mas está difícil encontrar informações oficiais ou suporte a isso, tem sido meio frustrante para mim essa parte de suporte, mas isso é outro assunto.

Eu vi os comandos necessários para fazer esse retorno ao kernel padrão e etc… eu até tentei dar o comando para instalar os headers mas ele dá o mesmo erro. Eu vou tentar fazer uma restauração no timeshift e ver se soluciona ou o jeito será formatar mesmo.

E daí já tento instalar o 20.10 logo porque eu estou acostumado já com o Pop_OS e gosto de algumas facilidades dele principalmente no suporte a notebook com placas hibridas e os organizadores de tela.

Novamente obrigado por sua resposta!

Boa noite.

Não sei se ainda em tempo, mas tive o mesmo erro.
No meu caso foi o uso do Iriunwebcam que ativou este v412loopback.

Meus passos para a solução foram:

  1. sudo apt remove v4l2loopback-dkms
  2. sudo apt clean
  3. sudo apt autoremove
  4. sudo apt update -m
  5. sudo dpkg --configure -a
  6. sudo apt install -f
  7. sudo apt dist-upgrade
    Sucesso Kernel atualizado
2 Curtidas

Olá Bragatte, obrigado por sua resposta. Eu tentei os mesmos procedimentos que você fez, mas o meu ficava no mesmo erro. A única solução mesmo foi formatar e reinstalar o sistema, no final das contas até que foi tudo tranquilo. Mas novamente obrigado!

1 Curtida